Name:           OpenEXR
Version:        1.2.2
Release:        5.2%{?dist}
Summary:        A high dynamic-range (HDR) image file format

Group:          System Environment/Libraries
License:        BSD
URL:            http://www.openexr.com/
Source0:        http://savannah.nongnu.org/download/openexr/OpenEXR-1.2.2.tar.gz
Patch:          %{name}-1.2.2-zlib.patch
Patch1:         %{name}-1.2.2-forwardfriend.patch
Patch165729:	OpenEXR-1.2.2-165729.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: fltk-devel >= 1.1
BuildRequires: zlib-devel
BuildRequires: automake

%description
OpenEXR is a high dynamic-range (HDR) image file format developed by Industrial
Light & Magic for use in computer imaging applications. This package contains
libraries and sample applications for handling the format.

%package        devel
Summary:        Headers and libraries for building apps that use OpenEXR
Group:          Development/Libraries
Requires:       %{name} = %{version}
%description    devel
This package contains headers and libraries required to build applications that
use the OpenEXR format.


%prep
%setup -q
%patch -p1 -b .zlib
%patch1 -p1 -b .forwardfriend

%patch165729 -p1 -b .165729
./bootstrap


%build
%configure --disable-static

make %{?_smp_mflags}


%check || :
make check
rm -rf IlmImfExamples/.deps ||:



%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog LICENSE NEWS README
%{_bindir}/*
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root,-)
%doc IlmImfExamples
%{_datadir}/aclocal/*
%{_includedir}/OpenEXR/
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*


%changelog
* Thu Feb 09 2006 Rex Dieter 1.2.2-5.2
- fix unresolved symbols (#165729)

* Wed Aug 17 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.2.2-5
- Remove *.a from %%files devel

* Tue Aug 16 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.2.2-4
- Removed -devel dep on zlib-devel (#165729)
- Added --disable-static to %%configure
- Fixed build with GCC 4.0.1
- Added .so links to -devel

* Wed May 18 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.2.2-3
- Add zlib-devel to BR
- Delete all .la files (#157652)

* Mon May  9 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.2.2-2
- Add disttag

* Sun May  8 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.2.2-2
- Fix BuildRequires
- Fix Requires on -devel
- Add %%post[un] scriptlets
- Fix ownership in -devel
- Don't have .deps files in %%doc

* Wed Mar 30 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.2.2-1
- Initial RPM release
